0

On startup am seeing this error and then the package is loading and working showing in modeline.

Warning (emacs): Error loading "celestial-mode-line" autoloads: (void-variable lunar-phases)

emacs-lisp source block looks like this,

(setq calendar-longitude 25.5)
(setq calendar-latitude 17.5)
(setq calendar-location-name "Someplace")
(use-package celestial-mode-line
  :config
  ;; add to end of global-mode-string
  (if (null global-mode-string)
      (setq global-mode-string '("" celestial-mode-line-string))  ;; this means "" represents global modeline celestial-mode-line-string is right to that so celestial will show at extreme right after global modeline.
    (add-to-list 'global-mode-string 'celestial-mode-line-string t))
  (celestial-mode-line-start-timer))

This Package is used in addition to Melpa package = spaceline following is config working so far sharing just in case thats the cause.

(use-package spaceline
:ensure t
:config
(require 'spaceline-config)
(setq powerline-default-seperator (quote arrow))
  (spaceline-spacemacs-theme) ;; Just changes the way it looks doesnt changes the colors of the theme.

(setq display-time-format "%H:%M %a,%d %b %Y") ;; default block "%H:%M:%S %a,%d %b %Y"
(display-time)   
)

Environments details:

  • OS: Windows 10
  • Emacs version: GNU Emacs 29.1 (build 2, x86_64-w64-mingw32) of 2023-07-31 (installed through chocolatey package manager)
  • Package Manager inside emacs: Elpaca (without symlinks)
  • Vanila emacs from scratch configuration.

I am very new to adding packages and configuration, I am doing some very basic mistake, tried contanting the author of that Plugin but sadly he/she's not active on github for some a year now.

I can share any log or init messages.

[![This is what loaded Dashboard looks.][1]][1] [1]: https://i.stack.imgur.com/hmaru.png

9
  • Finding 1: I went to installation directory: ~/.emacs.d/elpaca/builds/celestial-mode-line/celestial-mode-line-autoloads.el in the end of the content, theres a line > lunar-phases am unable to figure out whats this, i commented that out and theres no error now but am not sure i have broken some component of the package or now :(.
    – Talespin
    Dec 10, 2023 at 17:29
  • Likely a duplicate question. Search for "void variable" here. Find out where lunar-phases is defined, and load the library that defines it before you invoke code that tries to use it.
    – Drew
    Dec 11, 2023 at 1:15
  • I dont understand drew why u coming everywhere and picking on me instead of helping me :).
    – Talespin
    Dec 11, 2023 at 5:40
  • 1
    No, don't put the answer in the question; post it separately, as an answer. Post all information relevant to the question in the question, not in comments.
    – Drew
    Dec 11, 2023 at 20:50
  • 1
    meta.stackexchange.com/help/how-to-ask
    – Drew
    Dec 11, 2023 at 20:54

1 Answer 1

0

Solution

(atleast which worked for me) Edit ~/.emacs.d/elpaca/builds/celestial-mode-line/celestial-mode-line-autoloads.el now at last line you see lunar-phases put inside double-quotes or just comment it out or just delete it. Like this "lunar-phases" or ;; lunar-phases

As mentioned before theres no error now, and package working properly showing the states of moon and sun, but am not sure whether I broke something or not though. Thank you everyone may it help someone.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.